import { openPerson, setPersonModalContent } from './edition.js';
import { openArt, setArt } from './edition.js';

if (document.querySelector('#register_slider')) {
// load inital value of entity_button
const entityButtonValue = $('input[name="entity_button"]:checked').attr('value');

// load initial value of letter_button and text of letter node
const letterButtonValue = $('input[name="letter_button"]:checked').attr('value');
const letterButtonText = $('input[name="letter_button"]:checked').parent()[0].innerText;
// const letterButtonText = document.querySelector('[name="letter_button"]:checked').parentNode.innerText;

// post request for inital values 
$.post('modules/kmg/register-view-requests.xq',
  {
    entityButtonValue,
    letterButtonValue,
    letterButtonText,
  },
  (data, status) => {
    $('#register_content').html(data.documentElement);
    registerButtonClick();
  });

// load changed values and relaunch post request on change

// changed values for entity button
$('input[name="entity_button"]').change(() => {
  const entityButtonValue =  $('input[name="entity_button"]:checked').attr('value');
  const letterButtonValue = $('input[name="letter_button"]:checked').attr('value');
  const letterButtonText = $('input[name="letter_button"]:checked').parent()[0].innerText;


    

  $.post('modules/kmg/register-view-requests.xq',
    {
      entityButtonValue,
      letterButtonValue,
      letterButtonText,
    },
    (data,status)=> {
      $('#register_content').html(data.documentElement);
      registerButtonClick();
    }); 
});

// changed values for letter button
$('input[name="letter_button"]').change(()=> {
  const entityButtonValue =  $('input[name="entity_button"]:checked').attr('value');
  const letterButtonValue = $('input[name="letter_button"]:checked').attr('value');
  const letterButtonText = $('input[name="letter_button"]:checked').parent()[0].innerText;


  $.post('modules/kmg/register-view-requests.xq',
    {
      entityButtonValue,
      letterButtonValue,
      letterButtonText,
    },
    (data,status)=> {
      $('#register_content').html(data.documentElement);
      registerButtonClick();
    }); 
});


const registerButtonClick = function registerButtonClick() {
  const personIcons = document.querySelectorAll('.js-editorial-icon--person');
  const artIcons = document.querySelectorAll('.js-editorial-icon--art');

  for (let i = 0; i < personIcons.length; i++) {
    personIcons[i].addEventListener('click', openPerson);
  }

  for (let i = 0; i < artIcons.length; i++) {
    artIcons[i].addEventListener('click', openArt);
  }
};
}
